FROM discovery-base:latest

#===============================================================================

WORKDIR /home/peerplays/peerplays-network

RUN \
    ./peerplays key insert --base-path ./ --chain testnet --suri "use clock lunar there health private pigeon oyster trigger half evolve slab" --key-type gran --scheme Ed25519 && \
    ./peerplays key insert --base-path ./ --chain testnet --suri "use clock lunar there health private pigeon oyster trigger half evolve slab" --key-type babe --scheme Sr25519

CMD [ "./peerplays", \
      "--base-path", "./", \
      "--chain", "testnet", \
      "--bootnodes", "/ip4/10.10.10.201/tcp/30333/p2p/12D3KooWEyoppNCUx8Yx66oV9fJnriXwCcXwDDUA2kj6vnc6iDEp", \
      "--name", "bob", \
      "--node-key", "0000000000000000000000000000000000000000000000000000000000000002", \
      "--port", "30333", \
      "--prometheus-external", \
      "--rpc-cors", "all", \
      "--rpc-external", \
      "--rpc-methods", "unsafe", \
      "--telemetry-url", "ws://10.10.10.71:8001/submit 0", \
      "--validator" ]